View Issue Details

IDProjectCategoryView StatusLast Update
0004337unrealdocumentationpublic2015-05-18 17:23
ReporterkatsklawAssigned Tosyzop 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSDebianOS Version6/7
Product Version3.4-alpha1 
Target VersionFixed in Version3.4-alpha2 
Summary0004337: doc/example.conf (perhaps others) missing semi-colon
Descriptionmissing semi-colon in port 6667 listen block (line 265)

listen *:6667
{
        options
        {
                defer-accept;
        } <-------------\\\
};
TagsNo tags attached.
3rd party modules

Activities

Stealth

2014-10-28 04:49

reporter   ~0018265

There are a few. I believe there may even be a few bugs still open mentioning them.

I would like it if the UnrealIRCd team would adapt a simpler example, such as the one on X-Tab (shameless plug)

katsklaw

2014-10-28 16:51

reporter   ~0018269

I being a fan of testing ircds with the absolute least amount of editing on a conf file, that is the only one that prevents the ircd from starting.

syzop

2014-11-05 16:44

administrator   ~0018274

Silly error indeed. Also, not directly related, but I wonder if defer accept setting should be in there at all. Is something nenolod put there.

dboyz

2015-05-18 16:43

reporter   ~0018313

Hi, this has been fixed here 0e2a15ddab104eb0122d48a1e7f735973cdff314 and can be closed.

Issue History

Date Modified Username Field Change
2014-10-28 01:42 katsklaw New Issue
2014-10-28 04:49 Stealth Note Added: 0018265
2014-10-28 16:51 katsklaw Note Added: 0018269
2014-11-05 16:44 syzop Note Added: 0018274
2015-05-18 16:43 dboyz Note Added: 0018313
2015-05-18 17:23 syzop Status new => resolved
2015-05-18 17:23 syzop Fixed in Version => 3.4-alpha2
2015-05-18 17:23 syzop Resolution open => fixed
2015-05-18 17:23 syzop Assigned To => syzop